# Architecture

interface Architecture : Named

A CPU architecture.

Intel x86 | "x86", "i386", "ia-32", "i686" | "x86_64", "amd64", "x64", "x86-64"
Intel Itanium | N/A | "ia-64", "ia64"
Power PC | "ppc" | "ppc64"
Sparc | "sparc", "sparc32", "sparc-v8" | "sparc64", "ultrasparc", "sparc-v9"
ARM | "arm", "arm-v7", "armv7", "arm32" | "aarch64", "arm64", "arm-v8"
MCST e2k (Elbrus-2000) | N/A | "e2k"

## Functions

getDisplayName
Link copied to clipboard
@Internal
abstract fun getDisplayName(): String
Returns a human-consumable display name for this architecture.
getName
Link copied to clipboard
@Input
abstract fun getName(): String